import { LangiumCompletionParser as n } from "./langium-parser.js";
import { createParser as t } from "./parser-builder-base.js";
function p(r) {
  const o = r.Grammar, a = r.parser.Lexer, e = new n(r);
  return t(o, e, a.definition), e.finalize(), e;
}
export {
  p as createCompletionParser
};
